package com.fastbee.system.domain;

import com.fastbee.common.core.domain.BaseEntity;
import com.fastbee.common.core.domain.PageEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Setter;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;


/**
 * 岗位信息对象 sys_post
 *
 * @author zhuangpeng.li
 * @date 2024-12-13
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysPost", description = "岗位信息 sys_post")
@Data
@TableName("sys_post" )
public class SysPost extends BaseEntity {
    private static final long serialVersionUID=1L;

    /** 岗位ID */
    @TableId(value = "post_id", type = IdType.AUTO)
    @ApiModelProperty("岗位ID")
    private Long postId;

    /** 岗位编码 */
    @ApiModelProperty("岗位编码")
    private String postCode;

    /** 岗位名称 */
    @ApiModelProperty("岗位名称")
    private String postName;

    /** 显示顺序 */
    @ApiModelProperty("显示顺序")
    private Integer postSort;

    /** 状态（0正常 1停用） */
    @ApiModelProperty("状态")
    private Integer status;


    @Setter
    @TableField(exist = false)
    @ApiModelProperty("请求参数")
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private Map<String, Object> params;

    public Map<String, Object> getParams(){
        if (params == null){
            params = new HashMap<>();
        }
        return params;
    }

}
